package org.dromara.erp.service;

import org.dromara.erp.domain.vo.ErpOrderDetailVo;
import org.dromara.erp.domain.query.ErpOrderDetailQuery;
import org.dromara.erp.domain.bo.ErpOrderDetailBo;
import org.dromara.erp.domain.bo.ErpOrderDetailBatchUpdateBo;

import java.util.List;

/**
 * 订单明细 Service 接口
 *
 * @Author: Antigravity
 */
public interface IErpOrderDetailService {

    /**
     * 查询订单明细列表
     */
    List<ErpOrderDetailVo> queryList(ErpOrderDetailQuery query);

    /**
     * 根据ID查询订单明细
     */
    ErpOrderDetailVo queryById(String rowId);

    /**
     * 新增订单明细
     */
    Boolean insert(ErpOrderDetailBo bo);

    /**
     * 修改订单明细
     */
    Boolean update(ErpOrderDetailBo bo);

    /**
     * 删除订单明细
     */
    Boolean deleteById(String rowId);

    /**
     * 批量修改订单明细（表面处理 / 包装方式）
     *
     * @Author: Trae
     */
    Boolean batchUpdate(ErpOrderDetailBatchUpdateBo bo);
}
